.checkbox {
    font-size: 14px;
    line-height: 18px;
    position: relative;
    display: inline-flex;
    align-items: center;

    &__input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        opacity: 0;
        overflow: hidden;
        visibility: hidden;
        position: absolute;

        &:checked + .checkbox__label {

            &:before {
                border-color: var(--orange);
                background: var(--orange);
            }

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }

        &:indeterminate + .checkbox__label {

            &:before {
                border-color: var(--blue);
                background: var(--blue);
            }

            &:after {
                top: 7px;
                width: 10px;
                height: 2px;
                background: white;
                opacity: 1;
                visibility: visible;
            }
        }

        &:disabled + .checkbox__label {
            opacity: 0.6;
            cursor: default;
        }
    }

    &__label {
        cursor: pointer;
        color: white;
        min-height: 18px;
        position: relative;
        display: block;
        padding-left: 28px;

        &:before {
            top: 0;
            left: 0;
            z-index: 1;
            content: '';
            width: 18px;
            height: 18px;
            display: block;
            flex-shrink: 0;
            border-radius: 2px;
            position: absolute;
            background: transparent;
            border: 1px solid rgba(255, 255, 255, 0.5);
        }

        &:after {
            top: 5px;
            left: 4px;
            z-index: 5;
            content: '';
            width: 10px;
            height: 8px;
            position: absolute;
            background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTAnIGhlaWdodD0nOCcgdmlld0JveD0nMCAwIDEwIDgnIGZpbGw9J25vbmUnIHhtbG5zPSdodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2Zyc+PHBhdGggZD0nTTkuMDAwMzIgMUwzLjY2Njk5IDdMMSA0JyBzdHJva2U9J3doaXRlJyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=");
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0;
            visibility: hidden;
        }

        &:hover {
            &:before {
                border-color: var(--orange);
            }
        }
    }

    &--sm {
        font-weight: 500;
        font-size: 12px;
        line-height: 18px;
    }

    &--empty {
        font-size: 0;
        line-height: 0;

        .checkbox {

            &__label {
                width: 18px;
                display: block;
                padding-left: 18px;
            }
        }
    }

    @include media-breakpoint-up(md) {
        font-size: 16px;
        line-height: 22px;

        &__label {

            &:before {
                top: 1px;
            }

            &:after {}

        }
    }
}
